StarObjectNumericRuler Class Reference documentation

Public Member Functions | Static Public Member Functions | Protected Attributes | Private Member Functions | List of all members
StarObjectNumericRuler Class Reference

the main class to read a SwNumRules zone More...

`#include <StarObjectNumericRuler.hxx>`

Inheritance diagram for StarObjectNumericRuler:

## Public Member Functions
| StarObjectNumericRuler (StarObject const &orig, bool duplicateState)
| constructor More...
| ~StarObjectNumericRuler () override
| destructor More...
bool | read (StarZone &zone)
| try to read a SwNumRules zone More...
std::shared_ptr< STOFFList > | getList (librevenge::RVNGString const &name) const
| try to return the list corresponding to a name More...
Public Member Functions inherited from StarObject
| StarObject (char const *passwd, std::shared_ptr< STOFFOLEParser > oleParser, std::shared_ptr< STOFFOLEParser::OleDirectory > directory)
| constructor More...
virtual | ~StarObject ()
| destructor More...
bool | parse ()
| try to parse data More...
STOFFDocument::Kind | getDocumentKind () const
| returns the document kind More...
char const * | getPassword () const
| returns the document password (the password given by the user) More...
std::shared_ptr< STOFFOLEParser::OleDirectory > | getOLEDirectory ()
| returns the object directory More...
std::shared_ptr< StarAttributeManager > | getAttributeManager ()
| returns the attribute manager More...
std::shared_ptr< StarFormatManager > | getFormatManager ()
| returns the format manager More...
librevenge::RVNGPropertyList const & | getMetaData () const
| returns the meta data (filled by readSfxDocumentInformation) More...
librevenge::RVNGString | getUserNameMetaData (int i) const
| returns the ith user meta data More...
void | cleanPools ()
| clean each pool More...
std::shared_ptr< StarItemPool > | getNewItemPool (StarItemPool::Type type)
| returns a new item pool for this document More...
std::shared_ptr< StarItemPool > | findItemPool (StarItemPool::Type type, bool isInside)
| check if a pool corresponding to a given type is opened if so returned it. More...
std::shared_ptr< StarItemPool > | getCurrentPool (bool onlyInside=true)
| returns the current all/inside pool More...
bool | readPersistData (StarZone &zone, long endPos, bool inPersistElements=false)
| try to read persist data More...
bool | readSfxStyleSheets (STOFFInputStreamPtr input, std::string const &name)
| try to read a spreadshet style zone: SfxStyleSheets More...
bool | readItemSet (StarZone &zone, std::vector< STOFFVec2i > const &limits, long endPos, StarItemSet &itemSet, StarItemPool *pool=nullptr, bool isDirect=false)
| try to read a list of item More...

## Static Public Member Functions
static bool | readLevel (StarZone &zone, STOFFListLevel &level)
| try to read a number format zone : 'n' More...
static bool | readAttributeLevel (StarZone &zone, int vers, long lastPos, STOFFListLevel &level)
| try to read a attribute format : ATTR_EE_PARA_BULLET More...
static bool | readList (StarZone &zone, std::shared_ptr< STOFFList > &list)
| try to read a list : '0' or 'R' More...

## Protected Attributes
std::shared_ptr< StarObjectNumericRulerInternal::State > | m_numericRulerState
| the state More...
Protected Attributes inherited from StarObject
char const * | m_password
| the document password More...
std::shared_ptr< STOFFOLEParser > | m_oleParser
| the ole parser More...
std::shared_ptr< STOFFOLEParser::OleDirectory > | m_directory
| the directory More...
std::shared_ptr< StarObjectInternal::State > | m_state
| the state More...
librevenge::RVNGPropertyList | m_metaData
| the meta data More...

## Private Member Functions
StarObjectNumericRuler & | operator= (StarObjectNumericRuler const &orig)=delete

## Additional Inherited Members
Protected Member Functions inherited from StarObject
bool | readPersistElements (STOFFInputStreamPtr input, std::string const &name)
| the "persist elements" small ole: the list of object More...
bool | readSfxDocumentInformation (STOFFInputStreamPtr input, std::string const &name)
| try to read the document information : "SfxDocumentInformation" More...
bool | readSfxPreview (STOFFInputStreamPtr input, std::string const &name)
| try to read the preview : "SfxPreview" More...
bool | readSfxWindows (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the windows information : "SfxWindows" More...
bool | readStarFrameworkConfigFile (STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read the "Star Framework Config File" More...
bool | readStarFrameworkConfigItem (STOFFEntry &entry, STOFFInputStreamPtr input, libstoff::DebugFile &ascii)
| try to read an item in a "Star Framework Config File" More...
| StarObject (StarObject const &orig, bool duplicateState)
| copy constructor More...

## Detailed Description

the main class to read a SwNumRules zone

## Constructor & Destructor Documentation

## ◆ StarObjectNumericRuler()

StarObjectNumericRuler::StarObjectNumericRuler | ( | StarObject const & | orig,
|  | bool | duplicateState
| ) |  |

constructor

## ◆ ~StarObjectNumericRuler()

StarObjectNumericRuler::~StarObjectNumericRuler | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ getList()

std::shared_ptr< STOFFList > StarObjectNumericRuler::getList | ( | librevenge::RVNGString const & | name | ) | const

try to return the list corresponding to a name

## ◆ operator=()

StarObjectNumericRuler& StarObjectNumericRuler::operator= | ( | StarObjectNumericRuler const & | orig | ) |
| privatedelete

## ◆ read()

bool StarObjectNumericRuler::read | ( | StarZone & | zone | ) |

try to read a SwNumRules zone

## ◆ readAttributeLevel()

bool StarObjectNumericRuler::readAttributeLevel | ( | StarZone & | zone,
|  | int | vers,
|  | long | lastPos,
|  | STOFFListLevel & | level
| ) |  |
| static

try to read a attribute format : ATTR_EE_PARA_BULLET

Referenced by StarParagraphAttribute::StarPAttributeBulletSimple::read().

## ◆ readLevel()

bool StarObjectNumericRuler::readLevel | ( | StarZone & | zone,
|  | STOFFListLevel & | level
| ) |  |
| static

try to read a number format zone : 'n'

Referenced by readList().

## ◆ readList()

bool StarObjectNumericRuler::readList | ( | StarZone & | zone,
|  | std::shared_ptr< STOFFList > & | list
| ) |  |
| static

try to read a list : '0' or 'R'

Referenced by read(), StarObjectText::readSWTextZone(), and StarObjectText::readWriterDocument().

## Member Data Documentation

## ◆ m_numericRulerState

std::shared_ptr<StarObjectNumericRulerInternal::State> StarObjectNumericRuler::m_numericRulerState
| protected

the state

Referenced by getList(), and read().

The documentation for this class was generated from the following files:

- StarObjectNumericRuler.hxx
- StarObjectNumericRuler.cxx